Page MenuHomePhabricator

[debuginfo-tests] [dexter] Add tests to check debug experience
ClosedPublic

Authored by n-omer on Oct 15 2020, 6:37 AM.

Details

Summary

This diff adds two debug experience tests:

  • deferred_globals.cpp: Verify that debug information for a local variable does not hide a global definition that has the same name
  • namespace.cpp: Ensure that the debug information for a global variable includes namespace information.

These test are dexter tests.

Diff Detail

Event Timeline

n-omer requested review of this revision.Oct 15 2020, 6:37 AM
n-omer created this revision.

This looks like a good start. What would you think about clang-formatting the tests using the LLVM style?

n-omer updated this revision to Diff 298981.Oct 19 2020, 3:18 AM

Format code with clang-format LLVM style.

Thanks @aprantl.

aprantl accepted this revision.Oct 27 2020, 7:01 PM
This revision is now accepted and ready to land.Oct 27 2020, 7:01 PM

Hi Nabeel,

thanks for this - I'll get this committed for you.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptOct 28 2020, 7:23 AM